domingo, 21 de agosto de 2005

Vulnerabilidad en MSDDS.DLL explotable a través de Internet Explorer

En los últimos días ha existido mucha expectación alrededor de un
exploit que podía causar la ejecución de código remoto al visitar una
página web diseñada al efecto con Internet Explorer. Microsoft ya ha
confirmado la vulnerabilidad y al mismo tiempo despeja las dudas sobre
el alcance de la misma, al delimitar las versiones del componente
afectado.

Aunque desde un primer momento se comprobó que el componente afectado,
Microsoft DDS Library Shape Control (MSDDS.DLL), no se instalaba por
defecto con Windows, existían dudas sobre que aplicaciones podían
instalarlo.

Así los primeros rumores apuntaban a que formaba parte de Microsoft
Visual Studio .NET y de Microsoft Office. También se comprobó que
el exploit funcionaba con la versión 7.0.9064.9912 de MSDDS.DLL, pero
se desconocía que otras versiones podían estar afectadas.

Microsoft ha publicado un aviso de seguridad donde, además de confirmar
la vulnerabilidad, despeja las incógnitas de las versiones vulnerables
y que aplicaciones la incluyen. A efectos prácticos limita mucho el
número de sistemas que pueden estar afectados, en comparación con la
expectación inicial que levantó el exploit.

Las versiones de MSDDS.DLL afectadas son la 7.0.9064.9112 y la
7.0.9446.0.

Una de estas versiones vulnerables se instala con Microsoft Visual
Studio 2002. Los usuarios afectados pueden actualizarse con el
Service Pack 1 de Microsoft Visual Studio 2002 que instala una versión
superior de MSDSSL.DLL no vulnerable, disponible en la dirección
http://msdn.microsoft.com/vstudio/downloads/updates/sp/

Aunque los usuarios de Microsoft Office XP Service Pack 3 no se
encuentran afectados por defecto, podrían ser vulnerables si por
cualquier causa los archivos MSVCR70.DLL y MSVSCP70.DLL se encuentran
en el mismo directorio que MSDDS.DLL o en la carpeta system32 de
Windows.

Una forma fácil de descartar que nuestro sistema se encuentra afectado
es buscar el archivo MSDDS.DLL en nuestros discos duros, por ejemplo
a través de la propia herramienta de buscar archivos de Windows. Si
no se localiza el archivo, no somos vulnerables.

En el caso de que localicemos el archivo debemos de comprobar si la
versión del mismo es alguna de las afectadas. Para ello pulsaremos
con el botón derecho del ratón sobre el archivo, aparecerá un menú
contextual donde elegiremos la opción Propiedades, y a continuación
pincharemos en la pestaña Versión. Si el número que aparece no es
ni 7.0.9064.9112 ni 7.0.9446.0, no somos vulnerables.

Información adicional sobre el exploit y las medidas de mitigación en
http://blog.hispasec.com/laboratorio/24


Bernardo Quintero
bernardo@hispasec.com


Más información:

Microsoft Security Advisory (906267)
http://www.microsoft.com/technet/security/advisory/906267.mspx